PayZuDocs

Saque por QR Code

Paga um QR Code Pix que o seu cliente recebeu, dinâmico ou estático; se o QR já traz o valor, você nem precisa informar quanto pagar.

Autorização

BearerAuth
AutorizaçãoBearer <token>

Em: header

Corpo da requisição

application/json

Definições TypeScript

Use o tipo request body no TypeScript.

Corpo da resposta

application/json

application/json

curl --request POST \  --url 'https://api.payzu.processamento.com/v1/withdraw/qrcode' \  --header 'Authorization: Bearer $PAYZU_TOKEN' \  --header 'Content-Type: application/json' \  --data '{  "qrCode": "00020101021226770014br.gov.bcb.pix2555api.payzu/pix/qr/v2/013318d6-2d7d-479e-8bb3-b5c7b9da688c5204000053039865802BR5916PAYZU 6007SAOPAULO6217051320260118278956304EC55",  "amount": 20,  "callbackUrl": "https://webhook.cool/",  "description": "Pagamento via QR Code",  "clientReference": "order-123",  "virtualAccount": "loja-centro-01"}'
{
"id": "PAYZU202511061998787515D0PH2Y",
"status": "PENDING",
"amount": 20,
"type": "WITHDRAW",
"qrCodeText": null,
"qrCodeBase64": null,
"qrCodeUrl": null,
"generatedName": null,
"generatedDocument": null,
"generatedEmail": null,
"serviceFeeCharged": 1,
"payerName": null,
"payerDocument": null,
"payerInstitutionIspb": null,
"payerInstitutionName": null,
"payerAccountNumber": "513579",
"withdrawPixKey": "88888888888",
"withdrawPixType": "cpf",
"receiverName": null,
"receiverDocument": null,
"receiverInstitutionIspb": null,
"receiverInstitutionName": null,
"receiverAccountNumber": null,
"endToEndId": null,
"createdAt": "2025-11-06T19:08:55.848Z",
"updatedAt": "2025-11-06T19:08:55.848Z",
"paidAt": null,
"clientReference": "order-123",
"refundEndToEndId": null,
"refundAmount": null,
"refundStatus": null,
"refundReason": null,
"refundDescription": null,
"refundedAt": null,
"cancellationReason": null
}